Abuse Reports

AbuseReports

Methods

create(, , ):
post/accounts/{account_id}/abuse-reports/{report_param}

Submit the Abuse Report of a particular type

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example: Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY

Parameters
reportParam: string

The report type for submitted reports.

AbuseReportCreateParamsBase{…}
AbuseReportsDmcaReport extends {…}
AbuseReportsTrademarkReport extends {…}
AbuseReportsGeneralReport extends {…}
AbuseReportsPhishingReport extends {…}
AbuseReportsCsamReport extends {…}
AbuseReportsThreatReport extends {…}
AbuseReportsRegistrarWhoisReport extends {…}
AbuseReportsNcseiReport extends {…}
Returns
AbuseReportCreateResponse = string

The result should be 'success' for successful response

Request example
200Example
get(, , ):
get/accounts/{account_id}/abuse-reports/{report_param}

Retrieve the details of an abuse report.

list(, ): <>
get/accounts/{account_id}/abuse-reports

List the abuse reports for a given account

Abuse Reports

Mitigations

AbuseReports.Mitigations

Methods

list(, , ): <>
get/accounts/{account_id}/abuse-reports/{report_id}/mitigations

List mitigations done to remediate the abuse report.

review(, , ): <>
post/accounts/{account_id}/abuse-reports/{report_id}/mitigations/appeal

Request a review for mitigations on an account.